Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.wsconsent.builders.impl
Class ConsentBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.wsconsent.builders.impl.ConsentBuilderImpl

All Implemented Interfaces:
  ConsentBuilder

    public final class ConsentBuilderImpl

extends Object
implements ConsentBuilder

Implementation for `ConsentBuilder`.

Constructor Summary
`ConsentBuilderImpl()`

Method Summary
`ConsentType` | `createNewConsent(PatientIdType patient, List<CDCONSENT> consent, org.joda.time.DateTime signdate, AuthorWithPatientAndPersonType author)` Method which create a consent type to create a new consent.
`SelectGetPatientConsentType` | `createSelectGetPatientConsent(PatientIdType patient, List<CDCONSENT> consent)` Method which create SelectGetPatientConsentType based on patient and consentType.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsentBuilderImpl

    public ConsentBuilderImpl()

Method Detail

### createSelectGetPatientConsent

    public SelectGetPatientConsentType createSelectGetPatientConsent(PatientIdType patient,
                                                                     List<CDCONSENT> consent)
                                                              throws TechnicalConnectorException,
                                                                     WsConsentBusinessConnectorException,
                                                                     InstantiationException

  Description copied from interface: `ConsentBuilder`
  Method which create SelectGetPatientConsentType based on patient and consentType.

  Specified by:
    `createSelectGetPatientConsent` in interface `ConsentBuilder`
  Parameters:
    `patient` - for which the consent had to be done
    `consent` - the list of CDCONSENT
  Returns:
    SelectGetPatientConsentType
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`
  See Also:
    `be.ehealth.businessconnector.wsconsent.builders.ConsentBuilder#createSelectGetPatientConsent(be.fgov.ehealth.hubservices.core.v2.PatientIdType, be.fgov.ehealth.hubservices.core.v2.SelectGetPatientConsentType.Consent)`

### createNewConsent

    public ConsentType createNewConsent(PatientIdType patient,
                                        List<CDCONSENT> consent,
                                        org.joda.time.DateTime signdate,
                                        AuthorWithPatientAndPersonType author)
                                 throws TechnicalConnectorException,
                                        WsConsentBusinessConnectorException,
                                        InstantiationException

  Description copied from interface: `ConsentBuilder`
  Method which create a consent type to create a new consent.

  Specified by:
    `createNewConsent` in interface `ConsentBuilder`
  Parameters:
    `patient` - for which the consent had to be done
    `consent` - the list of CDCONSENT
    `signdate` - the date when the consent is signed
    `author` - Identification of the author (‘end-user’ ) performing the request.
  Returns:
    ConsentType
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`
  See Also:
    `ConsentBuilder.createNewConsent(be.fgov.ehealth.hubservices.core.v2.PatientIdType, java.util.List, org.joda.time.DateTime, be.fgov.ehealth.hubservices.core.v2.AuthorWithPatientAndPersonType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.